Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleSlider Class Reference

The QAccessibleSlider class implements the QAccessibleInterface for sliders. More...

    #include <QAccessibleSlider>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Types

- enum SliderElements { SliderSelf, PageLeft, Position, PageRight }

### Public Functions

- QAccessibleSlider ( QWidget * w, const QString & name = QString() )
- int defaultAction ( int child ) const

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- QSlider * slider () const

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleSlider class implements the QAccessibleInterface for sliders.

## Member Type Documentation

### enum QAccessibleSlider::SliderElements

This enum identifies the components of the slider.

`QAccessibleSlider::SliderSelf` | The slider as a whole.
`QAccessibleSlider::PageLeft` | The area to the left of the position.
`QAccessibleSlider::Position` | The position indicator.
`QAccessibleSlider::PageRight` | The area to the right of the position.

## Member Function Documentation

### QAccessibleSlider::QAccessibleSlider ( QWidget * w, const QString & name = QString() )

Constructs a QAccessibleScrollBar object for w. name is propagated to the QAccessibleWidget constructor.

### int QAccessibleSlider::defaultAction ( int child ) const

Returns the default action for the given child. The base class implementation returns 0.

### QSlider * QAccessibleSlider::slider () const `[protected]`

Returns the slider.